:
#
# Titan version 3.6 Wed April 12 08:33:18 PST 2000 

umask 022
# This tool suite was written by and is copyrighted by Brad Powell, Matt 
# Archibald, and Dan Farmer 1994, 1995, 1996, 1997, 1998, 1999, 2000
#
# The copyright holder disclaims all responsibility or liability with 
# respect to its usage or its effect upon hardware or computer 
# systems, and maintains copyright as set out in the "LICENSE" 
# document which accompanies distribution. 

# setup
TITANHOME=`pwd`
PATH=/bin:/usr/bin:/sbin:$TITANHOME/lib
MYNAME=`basename $0`
DATE=`/bin/date +%m%d%y%H%M`
SAVEFILES='LOTS! TO LIST HERE!'

#
# suck in some lib functions (t_echo, etc.)
#
. misc_functions.sh

# did things work out or not?
action=`sanity_check $MYNAME $1`
if test $? -ne 0 ; then
        exit 1
        fi

Intro() {

cat << EOF

This script takes a config file and goes through all the packages that can be
REMOVED (pkgrm)from the "system-type to create a minimum build of the OS.
If run in Fix mode it removes all non-essential solaris packages. This should
only be run on a new install and then only if this system is going to be a
dedicated system sunc as a firewall or mail server.

EOF

}

Fix() {
# TODO; do a pkginfo and then do a pkgrm of all the non-essential system packages
# this needs to be tuned per OS; to test I need to install a system with all the
# packages installed so I get a listing of ones; then use the blueprint article
# to egrep -v the ones that we want to leave intact; this gives us a listing of
# candidates to pkgrm

}

Check() {

# TODO; do a pkginfo and then list all the packages that don't need to be here
# for a firewall (server?) these get flagged as FAIL if they are here

}

action=$1

   case ${action} in
	-[Ii]*)
	Intro
	;;
	-[Ff]*)
	Fix
	;;
	-[Vv]*)
	Check
	;;
	*)
        t_echo 1 "        ERROR:Invalid arg $action"
        t_echo 1 "        ERROR:Usage $0 -[ivf] (I)ntro/(V)erify/(F)ix"
	exit 1;;
	esac

